<?php
if(isset($_POST['eleve'])) {
	$seleve = $_POST['eleve'];
}
else if(@isset($_POST['eleve'.$i])) {
	$seleve = $_POST['eleve'.$i];
}
else if(isset($_SESSION['eleve'])) {
	$seleve = $_SESSION['eleve'];
}
if(substr($seleve,-1)==')') {
	// récup du nom et du prénom (voir aussi freq_index et eval_eleve)
	$snom = mysqli_real_escape_string($bdd,substr($seleve, 0, strpos($seleve,",")));
	$sprenom_beg = strstr($seleve, ', ');
	$sdiv_find1 = '('; // on recherche la parenthèse avant la division
	$sdiv_pos1 = strpos($seleve, $sdiv_find1); // on définit la position de la 1re parenthèse
	$sdiv_find2 = ')'; // on recherche la parenthèse après la division
	$sdiv_pos2 = strpos($seleve, $sdiv_find2); // on définit la position de la 2e parenthèse
	$sprenom_end = $sdiv_pos2 - $sdiv_pos1 + 2;
	$sprenom = mysqli_real_escape_string($bdd,substr($sprenom_beg, 2, -$sprenom_end));
	// recherche de la division
	$sdiv_deb = $sdiv_pos1 + 1; // on définit le premier caractère pour la division
	$sdiv = substr($seleve, $sdiv_deb, -1); // on trouve la division
	// sélection de l'élève dans la bdd
	$eleve = mysqli_query($bdd,"SELECT * FROM ".$prefix."_eleves WHERE nom = '".$snom."' AND prenom = '".$sprenom."' AND division = '$sdiv'");
	$eleve_info = mysqli_fetch_assoc($eleve);
	$eleve_id = $eleve_info['eleves_id'];
	$eleve_div = $eleve_info['division'];
	$eleve_sex = $eleve_info['sexe'];
	$eleve_naissance = $eleve_info['naissance'];
	$_SESSION['eleves_id'] = $eleve_id;
}
else {
	include('elevecode_select.php');
	@$_SESSION['eleves_id'] = $eleve_id;
}
?>
